'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var core = require('use-intl/core');
var getConfig = require('../server/react-server/getConfig.js');

const getMessageFormatCache = React.cache(() => new Map());
async function getTranslatorImpl(locale, namespace) {
  const config = await getConfig.default(locale);
  return core.createTranslator({
    ...config,
    messageFormatCache: getMessageFormatCache(),
    namespace,
    messages: config.messages
  });
}
var getBaseTranslator = React.cache(getTranslatorImpl);

exports.default = getBaseTranslator;
