'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

function useHook(hookName, promise) {
  try {
    return React.use(promise);
  } catch (error) {
    if (error instanceof TypeError && error.message.includes("Cannot read properties of null (reading 'use')")) {
      throw new Error("`".concat(hookName, "` is not callable within an async component. Please refer to https://next-intl-docs.vercel.app/docs/environments/server-client-components#async-components"), {
        cause: error
      });
    } else {
      throw error;
    }
  }
}

exports.default = useHook;
