'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var getConfig = require('./getConfig.js');
var resolveLocaleArg = require('./resolveLocaleArg.js');

const getMessagesImpl = React.cache(async locale => {
  const config = await getConfig.default(locale);
  if (!config.messages) {
    throw new Error('No messages found. Have you configured them correctly? See https://next-intl-docs.vercel.app/docs/configuration#messages');
  }
  return config.messages;
});
async function getMessages(opts) {
  const locale = await resolveLocaleArg.default(opts);
  return getMessagesImpl(locale);
}

exports.default = getMessages;
