'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var getConfig = require('./getConfig.js');
var resolveLocaleArg = require('./resolveLocaleArg.js');

const getTimeZoneImpl = React.cache(async locale => {
  const config = await getConfig.default(locale);
  return config.timeZone;
});
async function getTimeZone(opts) {
  const locale = await resolveLocaleArg.default(opts);
  return getTimeZoneImpl(locale);
}

exports.default = getTimeZone;
