/// <reference types="node" />
import React, { ComponentProps, ReactElement } from 'react';
import { AllLocales, LocalePrefix, Pathnames } from '../../shared/types';
import { HrefOrHrefWithParams } from '../shared/utils';
import ClientLink from './ClientLink';
export default function createLocalizedPathnamesNavigation<Locales extends AllLocales, PathnamesConfig extends Pathnames<Locales>>(opts: {
    locales: Locales;
    pathnames: PathnamesConfig;
    localePrefix?: LocalePrefix;
}): {
    Link: <Pathname extends keyof PathnamesConfig>(props: Omit<Omit<Omit<Omit<Omit<React.AnchorHTMLAttributes<HTMLAnchorElement>, keyof {
        href: string | import("url").UrlObject;
        as?: (string | import("url").UrlObject) | undefined;
        replace?: boolean | undefined;
        scroll?: boolean | undefined;
        shallow?: boolean | undefined;
        passHref?: boolean | undefined;
        prefetch?: boolean | undefined;
        locale?: string | false | undefined;
        legacyBehavior?: boolean | undefined;
        onMouseEnter?: React.MouseEventHandler<HTMLAnchorElement> | undefined;
        onTouchStart?: React.TouchEventHandler<HTMLAnchorElement> | undefined;
        onClick?: React.MouseEventHandler<HTMLAnchorElement> | undefined;
    }> & {
        href: string | import("url").UrlObject;
        as?: (string | import("url").UrlObject) | undefined;
        replace?: boolean | undefined;
        scroll?: boolean | undefined;
        shallow?: boolean | undefined;
        passHref?: boolean | undefined;
        prefetch?: boolean | undefined;
        locale?: string | false | undefined;
        legacyBehavior?: boolean | undefined;
        onMouseEnter?: React.MouseEventHandler<HTMLAnchorElement> | undefined;
        onTouchStart?: React.TouchEventHandler<HTMLAnchorElement> | undefined;
        onClick?: React.MouseEventHandler<HTMLAnchorElement> | undefined;
    } & {
        children?: React.ReactNode;
    } & React.RefAttributes<HTMLAnchorElement>, "locale"> & {
        locale: string;
        localePrefix?: LocalePrefix | undefined;
    }, "ref"> & React.RefAttributes<HTMLAnchorElement>, "locale"> & {
        locale?: string | undefined;
    } & {
        ref?: React.Ref<HTMLAnchorElement> | undefined;
    }, "href" | "name"> & {
        href: Pathname extends `${string}[[...${string}` ? Pathname | ({
            pathname: Pathname;
            params?: import("../shared/StrictParams").default<Pathname> | undefined;
        } & Omit<import("url").UrlObject, "pathname">) : Pathname extends `${string}[${string}` ? {
            pathname: Pathname;
            params: import("../shared/StrictParams").default<Pathname>;
        } & Omit<import("url").UrlObject, "pathname"> : Pathname | ({
            pathname: Pathname;
        } & Omit<import("url").UrlObject, "pathname">);
        locale?: Locales[number] | undefined;
    } & {
        ref?: ComponentProps<typeof ClientLink>['ref'];
    }) => ReactElement;
    redirect: <Pathname_1 extends keyof PathnamesConfig>(href: HrefOrHrefWithParams<Pathname_1>) => never;
    usePathname: () => keyof PathnamesConfig;
    useRouter: () => {
        push<Pathname_2 extends keyof PathnamesConfig>(href: HrefOrHrefWithParams<Pathname_2>, options?: (import("next/dist/shared/lib/app-router-context.shared-runtime").NavigateOptions & {
            locale?: string | undefined;
        }) | undefined): void;
        replace<Pathname_3 extends keyof PathnamesConfig>(href: HrefOrHrefWithParams<Pathname_3>, options?: (import("next/dist/shared/lib/app-router-context.shared-runtime").NavigateOptions & {
            locale?: string | undefined;
        }) | undefined): void;
        prefetch<Pathname_4 extends keyof PathnamesConfig>(href: HrefOrHrefWithParams<Pathname_4>, options?: (import("next/dist/shared/lib/app-router-context.shared-runtime").PrefetchOptions & {
            locale?: string | undefined;
        }) | undefined): void;
        back(): void;
        forward(): void;
        refresh(): void;
    };
    getPathname: ({ href, locale }: {
        locale: Locales[number];
        href: HrefOrHrefWithParams<keyof PathnamesConfig>;
    }) => string;
};
